#32/64
Name: gfxtablet
Version: 1.3
Release: %mkrel 1
License: MIT
Group: Accessibility
Summary: Program to work with Android tablets as graphics tablet
URL: http://rfc2822.github.io/GfxTablet/
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: xinput
Obsoletes: %name < %version

%description
GfxTablet shall make it possible to use your Android device (especially tablets) like a graphics tablet.
Afterwards, reboot the computer so the proper kernel drivers may load (uinput)
To use gfxtablet, open a terminal and type networktablet. The program will run until be finished (via ctrl-c or closing the terminal)
In the Android device, run gfxtablet, connect to the computer (via wifi) and start drawing (Gimp and other gfx programs)

%prep

%setup -q -n %{name}-%{version}

%build

%make


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
 
cp $RPM_BUILD_DIR/%{name}-%{version}/networktablet %{buildroot}%{_bindir}/


mkdir -p %{buildroot}/etc/udev/rules.d/
cat > %{buildroot}/etc/udev/rules.d/98-gfxtablet.rules << EOF
KERNEL=="uinput", GROUP="users", MODE:="0660"
EOF

#when the package is installed, it will write to modprobe.preload
%post 
echo 'uinput' >> /etc/modprobe.preload

#when the package is removed, it will remove the entry of uinput to modprobe.preload
%postun 
sed -i 's/uinput//g' /etc/modprobe.preload


%files
%defattr(-,root,root,-)
%doc protocol.txt LICENSE.md README.md
%{_bindir}/*
/etc/udev/rules.d/*

%clean
%__rm -rf "%{buildroot}"

%changelog
* Sun Nov 22 2015 Agent Smith <ruidobranco@yahoo.com.br> 1.3-1pclos2015
- Updated to the latest source version.

* Thu Oct 30 2014 Agent Smith <ruidobranco@yahoo.com.br> 1.2-2pclos2014
- Spec tweaked to a better format, helped by Ghost bunny.

* Thu Oct 16 2014 Agent Smith <ruidobranco@yahoo.com.br> 1.2-1pclos2014
- Created package gfxtablet
